Name:          perl-URI
Version:       5.28
Release:       1
Summary:       The Perl URI module implementation
License:       GPL-1.0-or-later OR Artistic-1.0-Perl
URL:           https://metacpan.org/release/URI
Source0:       https://cpan.metacpan.org/authors/id/O/OA/OALDERS/URI-%{version}.tar.gz
BuildArch:     noarch
BuildRequires: make perl perl-generators perl-ExtUtils-MakeMaker
BuildRequires: perl(Test::Needs) perl(Test::Warnings) perl(Test::Fatal)
Requires:      perl perl-Encode perl-MIME-Base64 perl-Data-Dumper perl-libnet perl-PathTools

%description
This module implements the URI class. Objects of this class
represent "Uniform Resource Identifier references" as specified
in RFC 2396 (and updated by RFC 2732).

%package_help

%prep
%autosetup -n URI-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%defattr(-,root,root)
%doc Changes CONTRIBUTING.md
%license LICENSE
%{perl_vendorlib}/URI.pm
%{perl_vendorlib}/URI/

%files help
%defattr(-,root,root)
%{_mandir}/man3/URI*


%changelog
* Wed Mar 27 2024 wangshuo <wangshuo@kylinos.cn> - 5.28-1
- Upgrade to version 5.28
- Important version changes:
-   Fix an issue where i.e. 'file:///tmp/###' was not properly escaped
-   Fix uri_escape allowing \w style character classes in its character set parameter (GH#112) (Graham Knop)
-   Merge the methods from URI::QueryParam into URI, so they are always available (GH#114) (Graham Knop)
-   Remove Shebang and Taint from all tests.
-   Add URI::geo (GH#141) (david-dick)
-   Using Scalar::Util::reftype instead of just ref()

* Tue Oct 25 2022 jiangchuangang <jiangchuangang@huawei.com> - 5.10-2
- use macros package_help

* Fri Dec 3 2021 guozhaorui <guozhaorui1@huawei.com> - 5.10-1
- update version to 5.10

* Fri Jan 29 2021 liudabo <liudabo1@huawei.com> - 5.06-1
- upgrade version to 5.06

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.74-3
- Change mod of files

* Tue Sep 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.74-2
- Adjust requires

* Fri Sep 6 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.74-1
- Package init
